1
0

added script to update extlinux.conf after kernel update

This commit is contained in:
Daniel Tartavel 2018-12-16 15:38:04 +01:00
parent 1169b7fc76
commit e56a06070d
2 changed files with 9 additions and 2 deletions

View File

@ -568,8 +568,9 @@ brcmfmac" >> "$BUILD_PATH"/etc/modules
error "line $LINENO error copying wifi firmware in $ROOTP/usr/lib/firmware/brcm/ : exiting" error "line $LINENO error copying wifi firmware in $ROOTP/usr/lib/firmware/brcm/ : exiting"
exit 1 exit 1
fi fi
info "copying tools in /usr/local/" info "copying tools in /usr/local/bin/"
/bin/cp -a "$SOURCE_PATH/tools" "$BUILD_PATH/usr/local" /bin/cp -a "$SOURCE_PATH/tools/" "$BUILD_PATH/usr/local/bin/"
/bin/cp -a "$SOURCE_PATH/rpi/sed_extlinux.conf.sh" "$BUILD_PATH/usr/local/bin/"
if ! [ $? -eq 0 ];then if ! [ $? -eq 0 ];then
error "line $LINENO error copying tools" error "line $LINENO error copying tools"
ERRORN=$((ERRORN++)) ERRORN=$((ERRORN++))

6
rpi/sed_extlinux.conf.sh Normal file
View File

@ -0,0 +1,6 @@
#!/bin/sh
cd /boot/extlinux
sed -i.old -e s,/boot,,g extlinux.conf
sed -i -e s,/usr/lib/.*,/fdt/,g extlinux.conf
sed -i -e 's/append.*$/& audit=0 fsck.repair=1/' extlinux.conf